Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.plastic
Class PlasticClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.apache.tapestry5.internal.plastic.PlasticClassLoader

    public class PlasticClassLoader

extends java.lang.ClassLoader

Constructor Summary
`PlasticClassLoader(java.lang.ClassLoader parent, ClassLoaderDelegate delegate)`

Method Summary
`java.lang.Class<?>` | `defineClassWithBytecode(java.lang.String className, byte[] bytecode)`
`protected java.lang.Class<?>` | `loadClass(java.lang.String name, boolean resolve)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlasticClassLoader

    public PlasticClassLoader(java.lang.ClassLoader parent,
                              ClassLoaderDelegate delegate)

Method Detail

### loadClass

    protected java.lang.Class<?> loadClass(java.lang.String name,
                                           boolean resolve)
                                    throws java.lang.ClassNotFoundException

  Overrides:
    `loadClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

### defineClassWithBytecode

    public java.lang.Class<?> defineClassWithBytecode(java.lang.String className,
                                                      byte[] bytecode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.